@use 'scss/cards';
@use 'scss/labels';
@use 'scss/nav_bar.scss';
@use  'scss/principal.scss';
@use 'scss/como_funciona.scss';


/* VARIABLES Y MAS */

$font_family_base: 'Nunito';
$card_color : #f7f7f7;

/* MENU PRINCIPAL */
.principal{
  background-color: $card_color;
  .nav {
    @include nav_bar.menu;
  }
}


/* CONTENIDO PRINCIPAL */

.contenido{
  @include principal.principal_content;
}

/* ULTIMOS PEDIDOS SASS*/

.ultimos_pedidos{
  padding-top: 10%;
  background-color: #f7f7f7;
  height: 100%;
  width: 100%;

  h2{
    position: absolute;
    width: 450px;
    height: 55px;
    left:40%;
    top: 75px;
    font-family: Nunito;
    font-style: normal;
    font-weight: bold;
    font-size: 40px;
    line-height: 41px;
    text-align: center;
    color: #0A0454;
  }
  h3{
    position: absolute;
    width: 900px;
    height: 41px;
    left: 30%;
    top: 135px;
    font-family: Nunito;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #8A8995;
  }

  .card_content1{

    position: absolute;
    width: 100%;
    height: auto;
    padding: 2px;
    top: 0%;

    /* card 1 gamepad */
    .card{
      @include cards.card;
      
      .lbl_adriana{
        @include labels.comprador;
        a{
          text-decoration: none;
          color: #8A8995;
        }
      }
      .lbl_alex{
        @include labels.viajero;
        a{
          text-decoration: none;
          color: #8A8995;
        }
        
      }
    }
  /* card 2 tableta */
    .card2{
      @include cards.card2;
      .lbl_andres{
        @include labels.viajero;
        a{
          text-decoration: none;
          color: #8A8995;
        }
      }
      .lbl_carla{
        @include labels.comprador;
        a{
          text-decoration: none;
          color: #8A8995;
        }
      }
    }
    /* card 3 zapatos*/
    .card3{
      @include cards.card3;
      .lbl_marcela{
        @include labels.viajero;
        a{
          text-decoration: none;
          color: #8A8995;
        }
      }
      .lbl_fernando{
        @include labels.encomendero;
        a{
          text-decoration: none;
          color: #8A8995;
        }
      }
    }

  }

  
}

/* COMO FUNCIONA */

.como_funciona_content{
  background-color: #f7f7f7;
  height: 2100px;
  width: 100%;

  .lbl_tema{
    @include labels.tema;
  }
  .prf_principal{
    @include labels.parrafo;
  }

  .buttons_group{
    position: absolute;
    width: 65%;
    top: 7%;
    left: 45%;

    @include como_funciona.btn_dobles;
    
  }
  .video_banner{
    position: absolute;
    width: 500px;
    top: 11%;
    left: 25%;

    @include como_funciona.vd_banner;
  }
  .banner_funtions{
    position: relative;
    left: 23.5%;
    width: 1250px;
    height: 1250px;
    top: 725px;
    .bnr_funcion{
      top: 25%;

    }
    
  }
  .btn_crear_pedido_bnr{
    position: absolute;
      height: 55px;
      width: 400px;
      font-size: 18px;
      left: 41%;
      top: 95%;
      border-radius: 25px 25px 25px 25px;
      background: linear-gradient(268.04deg, #FFD014 -24.25%, #FEAF26 5.16%, #FD5B54 69.9%, #FC2A6E 110.91%);
  }
}

/* PRODUCTOS MAS BUSCADOS */

.prod_mas_buscados{
  background-color: $card_color;
  height: 100%;
  width: 100%;

  .lbl_tema1{
    @include labels.tema1;
  }
  .prf_principal1{
    @include labels.parrafo1;

    h2{
      top: 50%;
  }

  }

}

.card_product{
  padding-top: 10%;
  background-color: #f7f7f7;
  height: auto;
  width: 100%;

  .card_content2{

    position: absolute;
    width: 100%;
    height: 100%;
    padding: 2px;
    top: -500px;

    /* card 1 NIKKON */
    .card1_1{
      @include cards.card1_1;

      .parrafo{
        position: relative;
        top: 40%;
        width: inherit;
        height: 200px;
        left: auto;
        right: 105px;
        p{
          width: fit-content;
          text-align: left;
          font-size: 16px;
        }
      }
      .btn_comprar{
        position: relative;
        top: 45%;
        font-size: 12px;
        left: 65px;
        width: 200px;
        height: 35px;
        color: #FC2A6E;
        border: 1px solid #FC2A6E;
        background-color: transparent;
        border-radius: 37px;
      }
      
    }
  /* card 2 SMARTW */
    .card2_2{
      @include cards.card2_2;

      .parrafo{
        position: relative;
        top: 40%;
        width: inherit;
        height: 200px;
        left: auto;
        right: 105px;
        p{
          width: fit-content;
          text-align: left;
          font-size: 16px;
        }
      }
      .btn_comprar{
        position: relative;
        top: 45%;
        font-size: 12px;
        left: 65px;
        width: 200px;
        height: 35px;
        color: #FC2A6E;
        border: 1px solid #FC2A6E;
        background-color: transparent;
        border-radius: 37px;
      }
    }
    /* card 3 PHONE*/
    .card3_3{
      @include cards.card3_3;

      .parrafo{
        position: relative;
        top: 40%;
        width: inherit;
        height: 200px;
        left: auto;
        right: 105px;
        p{
          width: fit-content;
          text-align: left;
          font-size: 16px;
        }
      }
      .btn_comprar{
        position: relative;
        top: 45%;
        font-size: 12px;
        left: 65px;
        width: 200px;
        height: 35px;
        color: #FC2A6E;
        border: 1px solid #FC2A6E;
        background-color: transparent;
        border-radius: 37px;
      }
    }

  }
}

/* carrusel */

.carrusel{
  background-color: #f7f7f7;
  height: 35%;
  width: 100%;

  body {
    align-items: center;
    background: $card_color;
    display: flex;
    height: 100vh;
    justify-content: center;
  }
  
  @mixin white-gradient {
    background: linear-gradient(to right,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
  }
  
  $animationSpeed: 35s;
  
  // Animation
  @keyframes scroll {
    0% { transform: translateX(0); }
    100% { transform: translateX(calc(-250px * 7))}
  }
  
  
  // Styling
  .slider {
    background: $card_color;
    height: 150px;
    margin: auto;
    overflow:hidden;
    position: relative;
    width: 1250px;
    
    &::before,
    &::after {
      @include white-gradient;
      content: "";
      height: 100px;
      position: absolute;
      width: 200px;
      z-index: 2;
    }
    
    &::after {
      right: 0;
      top: 0;
      transform: rotateZ(180deg);
    }
  
    &::before {
      left: 0;
      top: 0;
    }
    
    .slide-track {
      animation: scroll $animationSpeed linear infinite;
      display: flex;
      width: calc(250px * 14);
    }
    
    .slide {
      height: 150px;
      width: 250px;
    }
  }

  
}

/*Beneficios */ 
.beneficios{
  background-color: #f7f7f7;
  padding: 25px;
  .banner_beneficios{
    position: relative;
    width: 75%;
    height: 100%;
    left: 12%;
  }
}

